Skip to main content
POST
/
v1
/
contracts-upload
Upload Contract
curl --request POST \
  --url https://api.cadanapay.com/v1/contracts-upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
  "fileId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
  "contractName": "Employment Agreement"
}
'
import requests

url = "https://api.cadanapay.com/v1/contracts-upload"

payload = {
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"fileId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"contractName": "Employment Agreement"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
personId: '8ef9a712-cdae-4110-b1ea-9ba95abbee6e',
fileId: '8ef9a712-cdae-4110-b1ea-9ba95abbee6e',
contractName: 'Employment Agreement'
})
};

fetch('https://api.cadanapay.com/v1/contracts-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
  "name": "Employment Agreement",
  "personId": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
  "status": "completed"
}
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Body

application/json
personId
string<uuid>
required
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

fileId
string<uuid>
required
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

contractName
string
required

Name of the contract

Example:

"Employment Agreement"

Response

upload contract response

id
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

name
string

Contract name

personId
string<uuid>
Example:

"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"

status
string

Contract status